#pragma once

#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <stdarg.h>

#define MAX_LOG_ENTRY_LENGTH 2048

// Note, this should really be made into an object, but would require
// a lot of tedious updates elsewhere.
void	write_to_log( const char *fmt, ...);
void	write_to_log_empty_lines( int number_of_lines );

int		init_log_file( char* log_name );
void	close_log_file( );

char*	get_log_file_name();
void	disable_log_flush();
void	enable_log_flush();